Subject: bug#53817: 28.0.91; sh-mode indent misses on 'if test;then' when 'then' is on 'if' line

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Feb 2022 09:16:01 +0100

Stefan Monnier <[email-masked]> writes:

> The sh syntax is fairly nasty to parse, especially backwards, so I can't
> give you any general comment here.  I'd try something and then see if it
> breaks any tests (including looking at test/manual/indent/shell.sh).
>
> For sure, I'd recommend adding a regression test.

I've now tweaked the loop, and it fixes the issue and doesn't seem to
break anything in the manual test tile.  (And I added some automatic
tests.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no